Summary: The PPP (Point-to-Point Protocol) daemon.
Name: ppp
Version: 2.4.0
Release: 1
Group: System Environment/Daemons
Copyright: distributable
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://ftp.linuxcare.com.au/pub/ppp//ppp-%{version}.tar.gz
Source1: ppp-2.3.5-pamd.conf
Patch0: ppp-2.3.11-make.patch
Patch1: ppp-2.3.6-sample.patch
Patch2: ppp-2.3.9-wtmp.patch
Patch3: ppp-2.3.11-reap.patch
Patch4: ppp-2.3.11-pam_session.patch
BuildRoot: /var/tmp/%{name}-root

%description
The ppp package contains the PPP (Point-to-Point Protocol) daemon and
documentation for PPP support.  The PPP protocol provides a method for
transmitting datagrams over serial point-to-point links. PPP is
usually used to dial in to an ISP (Internet Service Provider) or other
organization over a modem and phone line.


%prep
%setup  -q
%patch0 -p1 -b .make
%patch1 -p1 -b .sample
%patch2 -p1 -b .wtmp
%patch3 -p1 -b .reap
%patch4 -p1 -b .pam_session
# patch 2 depends on the -lutil in patch 0
find . -type f -name "*.sample" | xargs rm -f 


%build
./configure
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/usr/sbin/*
chmod go+r scripts/*
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/ppp


%files
%defattr(-,root,root)
%doc Changes-2.3 FAQ PLUGINS README* SETUP
%doc scripts sample
%dir /etc/ppp
%attr(0600,root,daemon)	%config /etc/ppp/chap-secrets
%attr(0644,root,daemon)	%config /etc/ppp/options
%attr(0600,root,daemon)	%config /etc/ppp/pap-secrets
%config /etc/pam.d/ppp
%attr(0755,root,root)	/usr/sbin/chat
%attr(0755,root,root)	/usr/sbin/pppd
%attr(0755,root,daemon)	/usr/sbin/pppdump
%attr(0755,root,daemon)	/usr/sbin/pppstats
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT

